cupsctl(8)

NOM
cupsctl - Configurer les options de cupsd.conf

SYNOPSIS
cupsctl [ -h serveur[:port] ] [ -E ] [ -U identifiant ] [ --[no-]debug-logging ] [ --[no-]remote-admin ] [ --[no-]remote-any ] [ --[no-]share-printers ] [ --[no-]user-cancel-any ] [ nom=valeur ]

DESCRIPTION
cupsctl met à jour ou interroge le fichier cupsd.conf d'un serveur. Quand aucun changement n'est demandé, les valeurs de configuration en cours sont affichées sur la sortie standard sous la forme « nom=valeur », une par ligne.

OPTIONS
Les options suivantes sont reconnues :

-E  Activer le chiffrement de la connexion à l'ordonnanceur.

-U identifiant
    Indiquer un autre identifiant à utiliser pour l'identification auprès de l'ordonnanceur.

-h serveur[:port]
    Indiquer l’adresse du serveur. Remarque : cette option doit se présenter avant toutes autres.

--[no-]debug-logging
    Activer ou désactiver la journalisation d'informations de débogage dans le fichier error_log.

--[no-]remote-admin
    Activer ou désactiver l'administration à distance.

--[no-]remote-any
    Activer ou désactiver l'impression depuis n'importe quelle adresse, par exemple depuis Internet.

--[no-]share-printers
    Activer ou désactiver le partage d'imprimantes locales avec d'autres ordinateurs.

--[no-]user-cancel-any
    Permettre ou interdire aux utilisateurs d'annuler les travaux d'autres utilisateurs.

EXEMPLES
Afficher la configuration actuelle :

    cupsctl

Activer la journalisation d'informations de débogage.

    cupsctl --debug-logging

Récupérer l'état de la journalisation d'informations de débogage :

    cupsctl | grep '^_debug_logging' | awk -F= '{print $2}'

Désactiver le partage d'imprimantes :

    cupsctl --no-share-printers

PROBLÈMES CONNUS
Il n’est pas possible de régler les paramètres Listen ou Port en utilisant cupsctl.

VOIR AUSSI
cupsd.conf(5), cupsd(8)
Aide en ligne de CUPS : <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.